ruby-rip-0.0.5-alt1.noarch.rpm


Advertisement

Description

ruby-rip - Installs and manages RubyGems, git repositories, and more

Property Value
Distribution ALT Linux Sisyphus
Repository Classic noarch
Package name ruby-rip
Package version 0.0.5
Package release alt1
Package architecture noarch
Package type rpm
Installed size 57.18 KB
Download size 57.18 KB
Official Mirror ftp.altlinux.org
Like virtualenv + pip for Ruby.
Installs and manages RubyGems, git repositories, and more.
We're currently in a developer-mode rewrite: rip2.

Alternatives

Package Version Architecture Repository
ruby-rip - - -

Requires

Name Value
/usr/bin/ruby -
rpmlib(PayloadIsLzma) -
ruby(date) -
ruby(digest/md5) -
ruby(fileutils) -
ruby(net/http) -
ruby(rbconfig) -
ruby(set) -
ruby(test/unit) -
ruby(timeout) -
ruby(zlib) -

Provides

Name Value
ruby(rip) -
ruby(rip/commands) -
ruby(rip/commands/build) -
ruby(rip/commands/core) -
ruby(rip/commands/install) -
ruby(rip/commands/ruby) -
ruby(rip/commands/setup) -
ruby(rip/commands/show) -
ruby(rip/commands/uninstall) -
ruby(rip/env) -
ruby(rip/help) -
ruby(rip/installer) -
ruby(rip/memoize) -
ruby(rip/package) -
ruby(rip/package_api) -
ruby(rip/package_manager) -
ruby(rip/packages/dir_package) -
ruby(rip/packages/file_package) -
ruby(rip/packages/gem_package) -
ruby(rip/packages/git_package) -
ruby(rip/packages/http_package) -
ruby(rip/packages/remote_gem_package) -
ruby(rip/packages/ripfile_package) -
ruby(rip/setup) -
ruby(rip/sh/gem) -
ruby(rip/sh/git) -
ruby(rip/ui) -
ruby(rip/version) -
ruby-rip = 0.0.5-alt1

Download

Type URL
Binary Package ruby-rip-0.0.5-alt1.noarch.rpm
Source Package ruby-rip-0.0.5-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install ruby-rip rpm package:
    # sudo apt-get install ruby-rip

Files

Path
/usr/bin/rip
/usr/lib/ruby/site_ruby/rip.rb
/usr/lib/ruby/site_ruby/rip/commands.rb
/usr/lib/ruby/site_ruby/rip/env.rb
/usr/lib/ruby/site_ruby/rip/help.rb
/usr/lib/ruby/site_ruby/rip/installer.rb
/usr/lib/ruby/site_ruby/rip/memoize.rb
/usr/lib/ruby/site_ruby/rip/package.rb
/usr/lib/ruby/site_ruby/rip/package_api.rb
/usr/lib/ruby/site_ruby/rip/package_manager.rb
/usr/lib/ruby/site_ruby/rip/setup.rb
/usr/lib/ruby/site_ruby/rip/ui.rb
/usr/lib/ruby/site_ruby/rip/version.rb
/usr/lib/ruby/site_ruby/rip/commands/build.rb
/usr/lib/ruby/site_ruby/rip/commands/core.rb
/usr/lib/ruby/site_ruby/rip/commands/install.rb
/usr/lib/ruby/site_ruby/rip/commands/ruby.rb
/usr/lib/ruby/site_ruby/rip/commands/setup.rb
/usr/lib/ruby/site_ruby/rip/commands/show.rb
/usr/lib/ruby/site_ruby/rip/commands/uninstall.rb
/usr/lib/ruby/site_ruby/rip/packages/dir_package.rb
/usr/lib/ruby/site_ruby/rip/packages/file_package.rb
/usr/lib/ruby/site_ruby/rip/packages/gem_package.rb
/usr/lib/ruby/site_ruby/rip/packages/git_package.rb
/usr/lib/ruby/site_ruby/rip/packages/http_package.rb
/usr/lib/ruby/site_ruby/rip/packages/remote_gem_package.rb
/usr/lib/ruby/site_ruby/rip/packages/ripfile_package.rb
/usr/lib/ruby/site_ruby/rip/sh/gem.rb
/usr/lib/ruby/site_ruby/rip/sh/git.rb
/usr/share/doc/ruby-rip-0.0.5/README.markdown

Changelog

2017-09-26 - Andrey Cherepanov <cas@altlinux.org> 0.0.5-alt1
- New version
2012-12-04 - Led <led@altlinux.ru> 0.0.0.20100616-alt2.1
- Rebuilt with ruby-1.9.3-alt1
2010-06-27 - Timur Batyrshin <erthad@altlinux.org> 0.0.0.20100616-alt2
- removed excess usage of __FILE__
2010-06-27 - Timur Batyrshin <erthad@altlinux.org> 0.0.0.20100616-alt1
- Built for Sisyphus

See Also

Package Description
ruby-rmagick-doc-2.16.0-alt5.noarch.rpm ImageMagick for Ruby - docs
ruby-rpam-ruby19-doc-1.2.2-alt1.gitbc66d5e.7.noarch.rpm Documentation files for ruby-rpam-ruby19
ruby-rr-1.2.1-alt1.noarch.rpm RR is a test double framework that features a rich selection of double techniques and a terse syntax
ruby-rr-doc-1.2.1-alt1.noarch.rpm Documentation files for ruby-rr
ruby-rspec-3.7.0-alt1.noarch.rpm RSpec meta-gem that depends on the other components
ruby-rspec-core-3.7.1-alt2.noarch.rpm RSpec runner and formatters
ruby-rspec-core-doc-3.7.1-alt2.noarch.rpm Documentation files for ruby-rspec-core
ruby-rspec-expectations-3.7.0-alt1.noarch.rpm Provides a readable API to express expected outcomes of a code example
ruby-rspec-expectations-doc-3.7.0-alt1.noarch.rpm Documentation files for ruby-rspec-expectations
ruby-rspec-its-1.2.0-alt1.noarch.rpm `its` for RSpec 3 extracted from rspec-core 2.x
ruby-rspec-its-doc-1.2.0-alt1.noarch.rpm Documentation files for ruby-rspec-its
ruby-rspec-mocks-3.7.0-alt1.noarch.rpm RSpec's 'test double' framework, with support for stubbing and mocking
ruby-rspec-mocks-doc-3.7.0-alt1.noarch.rpm Documentation files for ruby-rspec-mocks
ruby-rspec-puppet-0.1.6-alt1.noarch.rpm RSpec tests for your Puppet manifests
ruby-rspec-puppet-doc-0.1.6-alt1.noarch.rpm Documentation files for ruby-rspec-puppet
Advertisement
Advertisement